org.keycloak.protocol.oidc.mappers

## Class AbstractOIDCProtocolMapper

- java.lang.Object
- - org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

- All Implemented Interfaces:
    ProtocolMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>
  Direct Known Subclasses:
    AddressMapper, FullNameMapper, GroupMembershipMapper, HardcodedClaim, HardcodedRole, RoleNameMapper, UserAttributeMapper, UserClientRoleMappingMapper, UserPropertyMapper, UserRealmRoleMappingMapper, UserSessionNoteMapper

      public abstract class AbstractOIDCProtocolMapper
      extends Object
      implements ProtocolMapper

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TOKEN_MAPPER_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOIDCProtocolMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ProtocolMapper` | `create(KeycloakSession session)`
    `String` | `getProtocol()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getDisplayCategory, getDisplayType`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Field Detail

    - #### TOKEN_MAPPER_CATEGORY

          public static final String TOKEN_MAPPER_CATEGORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractOIDCProtocolMapper

          public AbstractOIDCProtocolMapper()

  - ### Method Detail

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `ProtocolMapper`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<ProtocolMapper>`

    - #### create

          public final ProtocolMapper create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ProtocolMapper>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ProtocolMapper>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ProtocolMapper>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.